<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja pliku MainWindow.hpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('_main_window_8hpp.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#nested-classes">Komponenty</a> &#124;
<a href="#define-members">Definicje</a> &#124;
<a href="#var-members">Zmienne</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja pliku MainWindow.hpp</div></div>
</div><!--header-->
<div class="contents">

<p>Definicja klasy <a class="el" href="class_main_window.html" title="Główne okno aplikacji.">MainWindow</a>.  
<a href="#details">Więcej...</a></p>
<div class="textblock"><code>#include &lt;QMainWindow&gt;</code><br />
<code>#include &lt;QPushButton&gt;</code><br />
<code>#include &lt;QTimer&gt;</code><br />
<code>#include &lt;QThread&gt;</code><br />
<code>#include &lt;QMenuBar&gt;</code><br />
<code>#include &quot;<a class="el" href="_terminal_8hpp_source.html">Terminal.hpp</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_distance_win_8hpp_source.html">DistanceWin.hpp</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_velocity_graph_8hpp_source.html">VelocityGraph.hpp</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_map3_d_8hpp_source.html">Map3D.hpp</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_robot_data_8hpp_source.html">RobotData.hpp</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_serial_port_8hpp_source.html">SerialPort.hpp</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_travel_info_8hpp_source.html">TravelInfo.hpp</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Wykres zależności załączania dla MainWindow.hpp:</div>
<div class="dyncontent">
<div class="center"><img src="_main_window_8hpp__incl.png" border="0" usemap="#a_main_window_8hpp" alt=""/></div>
<map name="a_main_window_8hpp" id="a_main_window_8hpp">
<area shape="rect" title="Definicja klasy MainWindow." alt="" coords="609,5,729,31"/>
<area shape="rect" title=" " alt="" coords="5,79,112,104"/>
<area shape="poly" title=" " alt="" coords="609,27,400,48,126,81,125,76,399,43,609,22"/>
<area shape="rect" title=" " alt="" coords="137,79,237,104"/>
<area shape="poly" title=" " alt="" coords="610,30,251,81,250,76,609,24"/>
<area shape="rect" title=" " alt="" coords="261,79,326,104"/>
<area shape="poly" title=" " alt="" coords="609,32,489,52,340,81,339,76,488,47,608,26"/>
<area shape="rect" title=" " alt="" coords="351,79,423,104"/>
<area shape="poly" title=" " alt="" coords="625,33,437,80,435,75,623,28"/>
<area shape="rect" title=" " alt="" coords="447,79,531,104"/>
<area shape="poly" title=" " alt="" coords="641,33,532,76,530,71,639,28"/>
<area shape="rect" href="_terminal_8hpp.html" title="Definicja klasy Terminal." alt="" coords="556,79,652,104"/>
<area shape="poly" title=" " alt="" coords="661,33,626,70,622,67,657,29"/>
<area shape="rect" href="_distance_win_8hpp.html" title="Definicja klasy DistanceWin." alt="" coords="677,79,795,104"/>
<area shape="poly" title=" " alt="" coords="682,29,718,67,714,70,678,33"/>
<area shape="rect" href="_velocity_graph_8hpp.html" title="Definicja klasy VelocityGraph." alt="" coords="1065,79,1191,104"/>
<area shape="poly" title=" " alt="" coords="730,26,1051,76,1051,81,729,31"/>
<area shape="rect" href="_map3_d_8hpp.html" title="Definicja klasy Map3D." alt="" coords="949,79,1035,104"/>
<area shape="poly" title=" " alt="" coords="722,28,936,75,935,80,721,33"/>
<area shape="rect" href="_robot_data_8hpp.html" title="Definicja klasy RobotData." alt="" coords="1311,152,1417,177"/>
<area shape="poly" title=" " alt="" coords="729,16,823,18,942,27,1074,45,1141,59,1205,76,1242,90,1278,107,1337,142,1335,147,1276,112,1240,95,1203,81,1139,64,1073,50,942,32,822,24,729,21"/>
<area shape="rect" href="_serial_port_8hpp.html" title="Definicja klasy SerialPort." alt="" coords="1826,79,1929,104"/>
<area shape="poly" title=" " alt="" coords="730,20,1812,83,1811,89,729,26"/>
<area shape="rect" href="_travel_info_8hpp.html" title="Definicja klasy TravelInfo." alt="" coords="820,79,924,104"/>
<area shape="poly" title=" " alt="" coords="703,28,827,72,826,77,701,33"/>
<area shape="rect" title=" " alt="" coords="253,152,331,177"/>
<area shape="poly" title=" " alt="" coords="557,106,345,154,344,149,555,101"/>
<area shape="rect" title=" " alt="" coords="356,152,444,177"/>
<area shape="poly" title=" " alt="" coords="572,107,447,150,445,145,570,102"/>
<area shape="rect" href="_framed_widget_8hpp.html" title="Definicja klasy FramedWidget." alt="" coords="807,152,937,177"/>
<area shape="poly" title=" " alt="" coords="648,101,816,146,815,151,646,107"/>
<area shape="rect" title=" " alt="" coords="976,225,1045,251"/>
<area shape="poly" title=" " alt="" coords="895,175,977,217,975,221,893,180"/>
<area shape="rect" title=" " alt="" coords="760,225,824,251"/>
<area shape="poly" title=" " alt="" coords="861,179,817,218,813,214,857,175"/>
<area shape="rect" title=" " alt="" coords="849,225,951,251"/>
<area shape="poly" title=" " alt="" coords="879,177,893,212,888,214,874,179"/>
<area shape="poly" title=" " alt="" coords="759,102,839,143,837,148,757,106"/>
<area shape="rect" href="_numeric_data_8hpp.html" title="Definicja klasy NumericData." alt="" coords="609,152,732,177"/>
<area shape="poly" title=" " alt="" coords="727,106,692,144,689,140,723,103"/>
<area shape="rect" href="_robot_image_8hpp.html" title="Definicja klasy RobotImage." alt="" coords="469,152,585,177"/>
<area shape="poly" title=" " alt="" coords="703,107,575,150,573,145,702,101"/>
<area shape="poly" title=" " alt="" coords="692,175,762,216,759,221,689,180"/>
<area shape="rect" title=" " alt="" coords="657,225,735,251"/>
<area shape="poly" title=" " alt="" coords="677,177,690,212,685,213,672,179"/>
<area shape="rect" title=" " alt="" coords="562,225,633,251"/>
<area shape="poly" title=" " alt="" coords="660,180,621,218,617,214,657,176"/>
<area shape="rect" title=" " alt="" coords="367,225,441,251"/>
<area shape="poly" title=" " alt="" coords="508,180,437,221,434,216,506,175"/>
<area shape="rect" title=" " alt="" coords="465,225,537,251"/>
<area shape="poly" title=" " alt="" coords="525,179,512,213,507,212,520,177"/>
<area shape="poly" title=" " alt="" coords="1088,107,927,151,926,146,1086,101"/>
<area shape="rect" title=" " alt="" coords="1073,152,1191,177"/>
<area shape="poly" title=" " alt="" coords="1131,104,1133,138,1128,139,1126,104"/>
<area shape="rect" title=" " alt="" coords="1215,152,1287,177"/>
<area shape="poly" title=" " alt="" coords="1149,102,1220,143,1218,147,1146,106"/>
<area shape="poly" title=" " alt="" coords="974,106,905,147,902,142,971,102"/>
<area shape="rect" href="_viewer_8hpp.html" title="Definicja klasy Viewer." alt="" coords="962,152,1049,177"/>
<area shape="poly" title=" " alt="" coords="997,104,1003,138,998,139,992,105"/>
<area shape="rect" href="_robot_model_8hpp.html" title="Definicja klasy RobotModel." alt="" coords="1069,225,1184,251"/>
<area shape="poly" title=" " alt="" coords="1026,175,1097,216,1094,221,1023,180"/>
<area shape="rect" title=" " alt="" coords="1047,299,1206,324"/>
<area shape="poly" title=" " alt="" coords="1129,251,1129,285,1124,285,1124,251"/>
<area shape="rect" title=" " alt="" coords="1335,225,1393,251"/>
<area shape="poly" title=" " alt="" coords="1367,178,1367,212,1361,212,1361,178"/>
<area shape="poly" title=" " alt="" coords="1826,98,1602,116,1454,133,1300,155,1300,149,1453,127,1601,111,1826,93"/>
<area shape="poly" title=" " alt="" coords="1826,102,1431,155,1431,155,1430,149,1430,149,1825,96"/>
<area shape="rect" title=" " alt="" coords="1893,225,1947,251"/>
<area shape="poly" title=" " alt="" coords="1897,102,1921,123,1941,151,1945,167,1944,184,1935,214,1930,212,1939,183,1940,168,1936,153,1917,126,1894,106"/>
<area shape="rect" title=" " alt="" coords="2130,152,2257,177"/>
<area shape="poly" title=" " alt="" coords="1929,101,2129,146,2128,152,1928,107"/>
<area shape="rect" title=" " alt="" coords="2281,152,2351,177"/>
<area shape="poly" title=" " alt="" coords="1929,96,2078,117,2268,149,2267,154,2077,122,1929,102"/>
<area shape="rect" title=" " alt="" coords="2375,152,2436,177"/>
<area shape="poly" title=" " alt="" coords="1929,94,2116,113,2236,129,2361,149,2360,155,2236,134,2115,118,1928,99"/>
<area shape="rect" title=" " alt="" coords="2460,152,2519,177"/>
<area shape="poly" title=" " alt="" coords="1929,93,2150,109,2296,126,2446,149,2446,155,2295,131,2150,115,1929,98"/>
<area shape="rect" title=" " alt="" coords="2543,152,2601,177"/>
<area shape="poly" title=" " alt="" coords="1929,92,2184,107,2354,124,2530,150,2529,155,2353,129,2183,112,1929,97"/>
<area shape="rect" title=" " alt="" coords="1442,152,1499,177"/>
<area shape="poly" title=" " alt="" coords="1826,102,1689,122,1513,155,1512,150,1688,117,1825,97"/>
<area shape="rect" title=" " alt="" coords="1523,152,1610,177"/>
<area shape="poly" title=" " alt="" coords="1828,107,1624,153,1623,148,1827,101"/>
<area shape="rect" title=" " alt="" coords="1634,152,1713,177"/>
<area shape="poly" title=" " alt="" coords="1845,107,1720,150,1718,145,1844,102"/>
<area shape="rect" title=" " alt="" coords="1737,152,1804,177"/>
<area shape="poly" title=" " alt="" coords="1862,106,1801,147,1798,142,1859,102"/>
<area shape="rect" href="odbieranie_8hh.html" title=" " alt="" coords="1828,152,1927,177"/>
<area shape="poly" title=" " alt="" coords="1880,104,1880,138,1875,138,1875,104"/>
<area shape="rect" href="transparam_8hh.html" title=" " alt="" coords="2001,152,2105,177"/>
<area shape="poly" title=" " alt="" coords="1907,102,2013,144,2011,149,1905,106"/>
<area shape="poly" title=" " alt="" coords="1887,176,1908,212,1904,215,1882,179"/>
<area shape="rect" title=" " alt="" coords="2016,225,2091,251"/>
<area shape="poly" title=" " alt="" coords="2056,178,2056,212,2051,212,2051,178"/>
<area shape="poly" title=" " alt="" coords="875,104,875,138,869,138,869,104"/>
<area shape="poly" title=" " alt="" coords="858,106,796,154,721,218,718,214,793,150,855,102"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
Ten wykres pokazuje, które pliki bezpośrednio lub pośrednio załączają ten plik:</div>
<div class="dyncontent">
<div class="center"><img src="_main_window_8hpp__dep__incl.png" border="0" usemap="#a_main_window_8hppdep" alt=""/></div>
<map name="a_main_window_8hppdep" id="a_main_window_8hppdep">
<area shape="rect" title="Definicja klasy MainWindow." alt="" coords="65,5,185,31"/>
<area shape="rect" href="_main_window_8cpp.html" title="Definicje metod klasy MainWindow." alt="" coords="5,79,125,104"/>
<area shape="poly" title=" " alt="" coords="109,43,77,80,73,77,105,40"/>
<area shape="rect" href="main_8cpp.html" title=" " alt="" coords="149,79,224,104"/>
<area shape="poly" title=" " alt="" coords="146,40,179,77,175,80,142,43"/>
</map>
</div>
</div>
<p><a href="_main_window_8hpp_source.html">Idź do kodu źródłowego tego pliku.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Komponenty</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_main_window.html">MainWindow</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Główne okno aplikacji.  <a href="class_main_window.html#details">Więcej...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Definicje</h2></td></tr>
<tr class="memitem:a884ff2434f66dedb2e642f2a61f932c5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_main_window_8hpp.html#a884ff2434f66dedb2e642f2a61f932c5">WIDGETS_WIDTH</a>&#160;&#160;&#160;550</td></tr>
<tr class="separator:a884ff2434f66dedb2e642f2a61f932c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88aa0672db4bd7498b440134f2e01af4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_main_window_8hpp.html#a88aa0672db4bd7498b440134f2e01af4">WIDGETS_XCOORD</a>&#160;&#160;&#160;320</td></tr>
<tr class="separator:a88aa0672db4bd7498b440134f2e01af4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a70bb3d7aecc8f2760b6911e4698e0f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_main_window_8hpp.html#a0a70bb3d7aecc8f2760b6911e4698e0f">XMARGIN</a>&#160;&#160;&#160;20</td></tr>
<tr class="separator:a0a70bb3d7aecc8f2760b6911e4698e0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04814f7e9804edde849f86e3b94dd572"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_main_window_8hpp.html#a04814f7e9804edde849f86e3b94dd572">YMARGIN</a>&#160;&#160;&#160;30</td></tr>
<tr class="separator:a04814f7e9804edde849f86e3b94dd572"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a847b99b287f7c6555ab0f1cb4ed52119"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_main_window_8hpp.html#a847b99b287f7c6555ab0f1cb4ed52119">TIME_INTERVAL</a>&#160;&#160;&#160;50</td></tr>
<tr class="separator:a847b99b287f7c6555ab0f1cb4ed52119"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Zmienne</h2></td></tr>
<tr class="memitem:aad7bbf4191e375baee5f99ed26694706"><td class="memItemLeft" align="right" valign="top">std::condition_variable&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_main_window_8hpp.html#aad7bbf4191e375baee5f99ed26694706">start</a></td></tr>
<tr class="separator:aad7bbf4191e375baee5f99ed26694706"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b56d40ec3cfbf9e16772d3c02374e9f"><td class="memItemLeft" align="right" valign="top">std::mutex&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_main_window_8hpp.html#a1b56d40ec3cfbf9e16772d3c02374e9f">cm</a></td></tr>
<tr class="separator:a1b56d40ec3cfbf9e16772d3c02374e9f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock"><p>Plik zawiera definicję klasy <a class="el" href="class_main_window.html" title="Główne okno aplikacji.">MainWindow</a>, która dziedziczy po klasie QMainWindow. Zawiera w sobie wszystkie najważniejsze widgety okna aplikacji. </p>

<p class="definition">Definicja w pliku <a class="el" href="_main_window_8hpp_source.html">MainWindow.hpp</a>.</p>
</div><h2 class="groupheader">Dokumentacja definicji</h2>
<a id="a884ff2434f66dedb2e642f2a61f932c5" name="a884ff2434f66dedb2e642f2a61f932c5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a884ff2434f66dedb2e642f2a61f932c5">&#9670;&#160;</a></span>WIDGETS_WIDTH</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define WIDGETS_WIDTH&#160;&#160;&#160;550</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_main_window_8hpp_source.html#l00026">26</a> pliku <a class="el" href="_main_window_8hpp_source.html">MainWindow.hpp</a>.</p>

</div>
</div>
<a id="a88aa0672db4bd7498b440134f2e01af4" name="a88aa0672db4bd7498b440134f2e01af4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a88aa0672db4bd7498b440134f2e01af4">&#9670;&#160;</a></span>WIDGETS_XCOORD</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define WIDGETS_XCOORD&#160;&#160;&#160;320</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_main_window_8hpp_source.html#l00027">27</a> pliku <a class="el" href="_main_window_8hpp_source.html">MainWindow.hpp</a>.</p>

</div>
</div>
<a id="a0a70bb3d7aecc8f2760b6911e4698e0f" name="a0a70bb3d7aecc8f2760b6911e4698e0f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a70bb3d7aecc8f2760b6911e4698e0f">&#9670;&#160;</a></span>XMARGIN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define XMARGIN&#160;&#160;&#160;20</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_main_window_8hpp_source.html#l00028">28</a> pliku <a class="el" href="_main_window_8hpp_source.html">MainWindow.hpp</a>.</p>

</div>
</div>
<a id="a04814f7e9804edde849f86e3b94dd572" name="a04814f7e9804edde849f86e3b94dd572"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a04814f7e9804edde849f86e3b94dd572">&#9670;&#160;</a></span>YMARGIN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define YMARGIN&#160;&#160;&#160;30</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_main_window_8hpp_source.html#l00029">29</a> pliku <a class="el" href="_main_window_8hpp_source.html">MainWindow.hpp</a>.</p>

</div>
</div>
<a id="a847b99b287f7c6555ab0f1cb4ed52119" name="a847b99b287f7c6555ab0f1cb4ed52119"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a847b99b287f7c6555ab0f1cb4ed52119">&#9670;&#160;</a></span>TIME_INTERVAL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIME_INTERVAL&#160;&#160;&#160;50</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_main_window_8hpp_source.html#l00030">30</a> pliku <a class="el" href="_main_window_8hpp_source.html">MainWindow.hpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja zmiennych</h2>
<a id="aad7bbf4191e375baee5f99ed26694706" name="aad7bbf4191e375baee5f99ed26694706"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aad7bbf4191e375baee5f99ed26694706">&#9670;&#160;</a></span>start</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::condition_variable start</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">extern</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="main_8cpp_source.html#l00007">7</a> pliku <a class="el" href="main_8cpp_source.html">main.cpp</a>.</p>

</div>
</div>
<a id="a1b56d40ec3cfbf9e16772d3c02374e9f" name="a1b56d40ec3cfbf9e16772d3c02374e9f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1b56d40ec3cfbf9e16772d3c02374e9f">&#9670;&#160;</a></span>cm</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::mutex cm</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">extern</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="main_8cpp_source.html#l00008">8</a> pliku <a class="el" href="main_8cpp_source.html">main.cpp</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_4aa64b0872d36146e049722e293482e3.html">prj</a></li><li class="navelem"><a class="el" href="dir_72345776cd6700fb0dedb8f1faaa0c00.html">inc</a></li><li class="navelem"><a class="el" href="_main_window_8hpp.html">MainWindow.hpp</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
